GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::Image Class Reference

Image. More...

`#include <gdcmImage.h>`

Inheritance diagram for gdcm::Image:
[legend]
Collaboration diagram for gdcm::Image:
[legend]

List of all members.

## Public Member Functions

| Image ()
| ~Image ()
const double * | GetDirectionCosines () const
double | GetDirectionCosines (unsigned int idx) const
double | GetIntercept () const
const double * | GetOrigin () const
double | GetOrigin (unsigned int idx) const
double | GetSlope () const
const double * | GetSpacing () const
double | GetSpacing (unsigned int idx) const
void | Print (std::ostream &os) const
| print
void | SetDirectionCosines (const float *dircos)
void | SetDirectionCosines (const double *dircos)
void | SetDirectionCosines (unsigned int idx, double dircos)
void | SetIntercept (double intercept)
| intercept
void | SetOrigin (const float *ori)
void | SetOrigin (const double *ori)
void | SetOrigin (unsigned int idx, double ori)
void | SetSlope (double slope)
| slope
void | SetSpacing (const double *spacing)
void | SetSpacing (unsigned int idx, double spacing)

## Detailed Description

Image.

Note:
  This is the container for an Image in the general sense. From this container you should be able to request information like:
  - Origin
  - Dimension
  - PixelFormat ... But also to retrieve the image as a raw buffer (char *) Since we have to deal with both RAW data and JPEG stream (which internally encode all the above information) this API might seems redundant. One way to solve that would be to subclass gdcm::Image with gdcm::JPEGImage which would from the stream extract the header info and fill it to please gdcm::Image...well except origin for instance

Basically you can see it as a storage for the Pixel Data element (7fe0,0010).

Warning:
  This class does some heuristics to guess the Spacing but is not compatible with DICOM CP-586. In case of doubt use PixmapReader instead

See also:
  ImageReader PixmapReader

Examples:
  CompressImage.cxx, ConvertToQImage.cxx, CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, ExtractIconFromFile.cxx, FixJAIBugJPEGLS.cxx, GenFakeImage.cxx, GetJPEGSamplePrecision.cxx, GetSubSequenceData.cxx, HelloVizWorld.cxx, iU22tomultisc.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

## Constructor & Destructor Documentation

gdcm::Image::Image | ( |  | ) | `[inline]`

gdcm::Image::~Image | ( |  | ) | `[inline]`

## Member Function Documentation

const double* gdcm::Image::GetDirectionCosines | ( |  | ) | const

Return a 6-tuples specifying the direction cosines A default value of (1,0,0,0,1,0) will be return when the direction cosines was not specified.

double gdcm::Image::GetDirectionCosines | ( | unsigned int | idx | ) | const

double gdcm::Image::GetIntercept | ( |  | ) | const`[inline]`

const double* gdcm::Image::GetOrigin | ( |  | ) | const

Return a 3-tuples specifying the origin Will return (0,0,0) if the origin was not specified.

Examples:
  HelloVizWorld.cxx.

double gdcm::Image::GetOrigin | ( | unsigned int | idx | ) | const

double gdcm::Image::GetSlope | ( |  | ) | const`[inline]`

const double* gdcm::Image::GetSpacing | ( |  | ) | const

Return a 3-tuples specifying the spacing NOTE: 3rd value can be an aribtrary 1 value when the spacing was not specified (ex. 2D image). WARNING: when the spacing is not specifier, a default value of 1 will be returned

double gdcm::Image::GetSpacing | ( | unsigned int | idx | ) | const

void gdcm::Image::Print | ( | std::ostream & | os | ) | const`[virtual]`

print

Reimplemented from gdcm::Pixmap.

Examples:
  CompressImage.cxx, and PatchFile.cxx.

void gdcm::Image::SetDirectionCosines | ( | const float * | dircos | ) |

void gdcm::Image::SetDirectionCosines | ( | const double * | dircos | ) |

void gdcm::Image::SetDirectionCosines | ( | unsigned int | idx,
|  | double | dircos
| ) |  |

void gdcm::Image::SetIntercept | ( | double | intercept | ) | `[inline]`

intercept

void gdcm::Image::SetOrigin | ( | const float * | ori | ) |

void gdcm::Image::SetOrigin | ( | const double * | ori | ) |

void gdcm::Image::SetOrigin | ( | unsigned int | idx,
|  | double | ori
| ) |  |

void gdcm::Image::SetSlope | ( | double | slope | ) | `[inline]`

slope

void gdcm::Image::SetSpacing | ( | const double * | spacing | ) |

Examples:
  csa2img.cxx, and iU22tomultisc.cxx.

void gdcm::Image::SetSpacing | ( | unsigned int | idx,
|  | double | spacing
| ) |  |

The documentation for this class was generated from the following file:

- gdcmImage.h